Recuperar detalhes de webhook
curl --request GET \
--url https://api.malga.io/v1/webhooks/{id} \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'import requests
url = "https://api.malga.io/v1/webhooks/{id}"
headers = {
"X-Client-Id": "<api-key>",
"X-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.malga.io/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "31c142ad-4c30-4964-ba24-2df0f2bbb745",
"event": "transaction.authorized",
"endpoint": "https://enuqkxq2lu8be0y.m.pipedream.net",
"version": 1.1,
"publicKey": "-----BEGIN PUBLIC KEY-----\nMCowBQYDK2VwAyEAnFQSIT7Mwg5QLeJLAwhAJx9wS+XsQvnyph/Lz7AJyQA=\n-----END PUBLIC KEY-----\n",
"status": true,
"clientId": "cc0b1e41-2936-45c5-947f-93995ffcdc00",
"createdAt": "2021-07-06T21:03:36.590Z",
"updatedAt": "2021-07-06T21:03:36.590Z"
}{
"error": {
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}{
"error": {
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}Webhooks
Recuperar detalhes de webhook
GET
/
v1
/
webhooks
/
{id}
Recuperar detalhes de webhook
Path Parameters
Id do webhook que deseja recuperar
Response
Success
Identificador do webhook
Data de criação
Identificador do client
Tipo do evento que deseja receber notificações no seu webhook
URL do seu sistema que deverá receber as notificações de evento
Versão da api da Malga que seu webhook implementa
Chave pública ed25519
Identifica se o webhooks está ativo ou não para receber notificações de evento da Malga
Was this page helpful?
⌘I